<?php
namespace Ak\Validator;

use Laminas\Validator\NotEmpty as BaseNotEmpty;

/**
 * Provjerava da vrijednost nije prazna.
 *
 * @package Ak\Validator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/validator
 */
class NotEmpty extends BaseNotEmpty
{
    /**
     * @var array
     */
    protected $messageTemplates = [
        self::IS_EMPTY => "Vrijednost je obavezna i ne smije biti prazna",
        self::INVALID  => "Invalid type given. String, integer, float, boolean or array expected",
    ];
}
