<?php
namespace AkTest\Validator;

use Laminas\Validator\ValidatorPluginManager;

class ValidatorPluginManagerTest extends AbstractTestCase
{
    public function testIsRegistered()
    {
        $container = $this->getContainer();

        $this->assertTrue($container->has(ValidatorPluginManager::class));
        $this->assertTrue($container->has('ValidatorManager'));

        $manager = $container->get(ValidatorPluginManager::class);

        $this->assertInstanceOf(ValidatorPluginManager::class, $manager);
        $this->assertSame($manager, $container->get(\Laminas\Validator\ValidatorPluginManager::class));
        $this->assertSame($manager, $container->get('ValidatorManager'));
    }
}
